Last Comment Bug 90426 - use of obsolete typedefs in public NSS headers
: use of obsolete typedefs in public NSS headers
Status: RESOLVED FIXED
:
Product: NSS
Classification: Components
Component: Libraries (show other bugs)
: 3.2.1
: All All
: P2 normal (vote)
: 3.12
Assigned To: Julien Pierre
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-11 18:17 PDT by John G. Myers
Modified: 2007-07-12 01:07 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Remove all uses of uint32 and int32 from nss/lib, except freebl (26.93 KB, patch)
2007-07-05 19:33 PDT, Julien Pierre
nelson: review+
Details | Diff | Review

Description John G. Myers 2001-07-11 18:17:24 PDT
NSS uses obsolete typedefs in some of its public headers.  For example, 
pk11func.h uses int32 and blapi.h, secder.h, sechash.h use uint32.

These should be fixed to use PRInt32 and PRUint32
Comment 1 Wan-Teh Chang 2002-04-25 16:17:23 PDT
Changed the QA contact to Bishakha.
Comment 2 Wan-Teh Chang 2002-05-08 17:03:16 PDT
Set target milestone to NSS 3.5.
Comment 3 Julien Pierre 2007-07-05 19:33:28 PDT
Created attachment 271168 [details] [diff] [review]
Remove all uses of uint32 and int32 from nss/lib, except freebl

I omitted freebl because it does not contain any public header files, and parts of it can still be built standalone without NSPR.
Comment 4 Nelson Bolyard (seldom reads bugmail) 2007-07-05 20:06:37 PDT
Comment on attachment 271168 [details] [diff] [review]
Remove all uses of uint32 and int32 from nss/lib, except freebl

r=nelson
Comment 5 Julien Pierre 2007-07-05 20:17:31 PDT
Thanks for the quick review, Nelson. I checked this in to the trunk.

Checking in crmf/cmmfchal.c;
/cvsroot/mozilla/security/nss/lib/crmf/cmmfchal.c,v  <--  cmmfchal.c
new revision: 1.5; previous revision: 1.4
done
Checking in cryptohi/sechash.c;
/cvsroot/mozilla/security/nss/lib/cryptohi/sechash.c,v  <--  sechash.c
new revision: 1.7; previous revision: 1.6
done
Checking in cryptohi/sechash.h;
/cvsroot/mozilla/security/nss/lib/cryptohi/sechash.h,v  <--  sechash.h
new revision: 1.6; previous revision: 1.5
done
Checking in pk11wrap/pk11cxt.c;
/cvsroot/mozilla/security/nss/lib/pk11wrap/pk11cxt.c,v  <--  pk11cxt.c
new revision: 1.5; previous revision: 1.4
done
Checking in pk11wrap/pk11pub.h;
/cvsroot/mozilla/security/nss/lib/pk11wrap/pk11pub.h,v  <--  pk11pub.h
new revision: 1.17; previous revision: 1.16
done
Checking in ssl/cmpcert.c;
/cvsroot/mozilla/security/nss/lib/ssl/cmpcert.c,v  <--  cmpcert.c
new revision: 1.5; previous revision: 1.4
done
Checking in ssl/ssl3con.c;
/cvsroot/mozilla/security/nss/lib/ssl/ssl3con.c,v  <--  ssl3con.c
new revision: 1.102; previous revision: 1.101
done
Checking in ssl/sslgathr.c;
/cvsroot/mozilla/security/nss/lib/ssl/sslgathr.c,v  <--  sslgathr.c
new revision: 1.9; previous revision: 1.8
done
Checking in ssl/sslimpl.h;
/cvsroot/mozilla/security/nss/lib/ssl/sslimpl.h,v  <--  sslimpl.h
new revision: 1.57; previous revision: 1.56
done
Checking in util/derdec.c;
/cvsroot/mozilla/security/nss/lib/util/derdec.c,v  <--  derdec.c
new revision: 1.4; previous revision: 1.3
done
Checking in util/derenc.c;
/cvsroot/mozilla/security/nss/lib/util/derenc.c,v  <--  derenc.c
new revision: 1.4; previous revision: 1.3
done
Checking in util/dersubr.c;
/cvsroot/mozilla/security/nss/lib/util/dersubr.c,v  <--  dersubr.c
new revision: 1.6; previous revision: 1.5
done
Checking in util/secder.h;
/cvsroot/mozilla/security/nss/lib/util/secder.h,v  <--  secder.h
new revision: 1.9; previous revision: 1.8
done
Checking in ckfw/nssmkey/mobject.c;
/cvsroot/mozilla/security/nss/lib/ckfw/nssmkey/mobject.c,v  <--  mobject.c
new revision: 1.2; previous revision: 1.1
done
Checking in ckfw/nssmkey/mrsa.c;
/cvsroot/mozilla/security/nss/lib/ckfw/nssmkey/mrsa.c,v  <--  mrsa.c
new revision: 1.2; previous revision: 1.1
done
Comment 6 alexander :surkov 2007-07-11 03:00:54 PDT
http://lxr.mozilla.org/mozilla/source/security/manager/ssl/src/nsNSSIOLayer.cpp#1576 uses old version of DER_Lengths method with uint32 argument type. I get the following compile error:

c:/Mozilla\mozilla\security\manager\ssl\src\nsNSSIOLayer.cpp(1576) : error C2664: 'DER_Lengths' : cannot convert parameter 3 from 'uint32 *' to 'PRUint32 *'
        Types pointed to are unrelated; conversion requires reinterpret_cast, C-style cast or function-style cast
make[6]: *** [nsNSSIOLayer.obj] Error 2
Comment 7 Julien Pierre 2007-07-11 16:32:51 PDT
Alexander, are you compiling in 64-bit mode ?
Comment 8 alexander :surkov 2007-07-12 01:07:39 PDT
(In reply to comment #7)
> Alexander, are you compiling in 64-bit mode ?
> 

I guess no. Though I have my computer has 64-bit architecture but my OS is windows XP, compiler is VC7.1

Note You need to log in before you can comment on or make changes to this bug.